dotplot {base} | R Documentation

## Cleveland Dot Plots

### Description

Draw a Cleveland dot plot.

### Usage

    dotplot(x, labels = NULL, groups = NULL, gdata = NULL, cex = par("cex"),
            pch = 21, gpch = 21, bg = par("bg"), color = par("fg"),
            gcolor = par("fg"), lcolor = "gray", ...)

### Arguments

`x` | either a vector or matrix of numeric values (`NA`s are allowed). If `x` is a matrix the overall plot consists of juxtaposed dotplots for each row.
`labels` | a vector of labels for each point. For vectors the default is to use `names(x)` and for matrices the row labels `dimnames(x)[[1]]`.
`groups` | an optional factor indicating how the elements of `x` are grouped. If `x` is a matrix, `groups` will default to the columns of `x`.
`gdata` | data values for the groups. This is typically a summary such as the median or mean of each group.
`cex` | the character size to be used. Setting `cex` to a value smaller than one can be a useful way of avoiding label overlap.
`pch` | the plotting character or symbol to be used.
`gpch` | the plotting character or symbol to be usea for group values.
`bg` | the background color to be used.
`color` | the color to be used for points an labels.
`gcolor` | the color to be used for group labels and values.
`lcolor` | the color to be used for the horizontal lines.
`...` | graphical parameters can also be specified as arguments.

### Value

This function is invoked for its side effect, which is to produce two variants of dotplots as described in Cleveland (1985).

Dot plots are a reasonable substitute for bar plots.

### References

Cleveland, W. S. (1985) The Elements of Graphing Data. Monterey, CA: Wadsworth.

### Examples

    data(VADeaths)
    dotplot(VADeaths, main = "Death Rates in Virginia - 1940")
    dotplot(t(VADeaths), main = "Death Rates in Virginia - 1940")

[Package Contents]